# frozen_string_literal: true

module QA
  module EE
    module Page
      module Project
        module Secure
          class VulnerabilityDetails < QA::Page::Base
            view 'ee/app/assets/javascripts/vulnerabilities/components/header.vue' do
              element :vulnerability_header
            end

            view 'ee/app/assets/javascripts/vulnerabilities/components/vulnerability_details.vue' do
              element :vulnerability_details
              element :vulnerability_title
              element :vulnerability_description
            end

            view 'ee/app/assets/javascripts/vulnerabilities/components/footer.vue' do
              element :vulnerability_footer
            end

            view 'ee/app/assets/javascripts/vulnerabilities/components/related_issues.vue' do
              element :create_issue_button
            end

            def has_component?(component_name:)
              has_element?(component_name.to_sym)
            end

            def has_vulnerability_title?(title:)
              has_element?(:vulnerability_title, text: title)
            end

            def has_vulnerability_description?(description:)
              has_element?(:vulnerability_description, text: description)
            end

            def click_create_issue_button
              click_element(:create_issue_button)
            end
          end
        end
      end
    end
  end
end
